#
# spec file for package rubygem-gettext_i18n_rails_js
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-gettext_i18n_rails_js
Version:        1.3.1
Release:        1.8
%define mod_name gettext_i18n_rails_js
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/webhippie/gettext_i18n_rails_js
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Extends gettext_i18n_rails making your .po files available to client
License:        MIT
Group:          Development/Languages/Ruby

%description
It will find translations inside your .js and .coffee files, then it will
create JSON versions of your .PO files and will let you serve them with the
rest of your assets, thus letting you access all your translations offline
from client side javascript.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.3.1
  see installed CHANGELOG.md
  [#]# [1.3.1](https://github.com/webhippie/gettext_i18n_rails_js/releases/tag/v1.4.0) - 2021-12-08
  * Fixed multiline translation strings (@delxen)
  * Switched to Codacy for coverage reports (@tboerger)
  * Switched to GitHub actions for CI (@ezr-ondrej)
* Fri Mar 17 2017 coolo@suse.com
- updated to version 1.3.0
  see installed CHANGELOG.md
  [#]# [1.3.0](https://github.com/webhippie/gettext_i18n_rails_js/releases/tag/v1.3.0) - 2017-03-16
  * Fixed Handlebars translations with options (@mikezaby)
  * Fixed latest Rubocop offenses (@mikezaby)
  * Dropped failing coveralls, fixed codeclimate (@tboerger)
* Thu Oct 13 2016 coolo@suse.com
- updated to version 1.2.0
  see installed CHANGELOG.md
  [#]# [1.2.0](https://github.com/webhippie/gettext_i18n_rails_js/releases/tag/v1.2.0) - 2016-06-02
  * Support for JSX files (@artemv)
  * Fixed test suite, reduced test matrix (@tboerger)
* Sat Jun  4 2016 coolo@suse.com
- updated to version 1.1.0
  see installed CHANGELOG.md
  [#]# [1.1.0](https://github.com/webhippie/gettext_i18n_rails_js/releases/tag/v1.1.0) - 2016-06-02
  * Replace hyphens with underscores in locale var from DOM (@filib)
* Wed Jun  1 2016 coolo@suse.com
- updated to version 1.0.4
  see installed CHANGELOG.md
  [#]# [1.0.4](https://github.com/webhippie/gettext_i18n_rails_js/releases/tag/v1.0.4) - 2016-05-31
  * Support ES2015 template strings (@bradbarrow)
* Wed Nov  4 2015 coolo@suse.com
- updated to version 1.0.3
  see installed CHANGELOG.md
  [#]# [1.0.3](https://github.com/webhippie/gettext_i18n_rails_js/releases/tag/v1.0.3) - 2015-11-03
  * Stop using bundler within the core lib (@domcleal)
* Sat Apr 11 2015 coolo@suse.com
- updated to version 1.0.2
  * Fixes exception when parsing empty js/coffee files
  * Avoid methods defined in rake task exposing globally
  * Added better configuration options
* Wed Feb 25 2015 coolo@suse.com
- updated to version 1.0.1
* Tue Feb 24 2015 tboerger@suse.com
- Updated to version 1.0.0
  - Transfer from github.com/nubis/gettext_i18n_rails_js
  - Added TravisCI, Rubocop and Coveralls
  - Updated structure to my opinionated gem style
  - Changed default handlebars function to __
  - Added extended gettext_i18n_rails_js.yml
* Thu Feb 19 2015 coolo@suse.com
- updated to version 0.0.9
* Wed Dec 17 2014 tboerger@suse.com
- Initial packaging of 0.0.8
